package es.uca.xmleye.gui;

/*
 Copyright (C) 2008 Antonio García Domínguez

 This program is free software; you can redistribute it 
 and/or modify it under the terms of the GNU General Public 
 License as published by the Free Software Foundation; 
 either version 2 of the License, or (at your option) any 
 later version.

 This program is distributed in the hope that it will be 
 useful, but WITHOUT ANY WARRANTY; without even the implied 
 warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
 PURPOSE. See the GNU General Public License for more 
 details.

 You should have received a copy of the GNU General Public 
 License along with this program; if not, write to the Free 
 Software Foundation, Inc., 59 Temple Place, Suite 330, 
 Boston, MA 02111-1307 USA
 */

import java.io.File;

import net.infonode.tabbedpanel.titledtab.*;

import es.uca.xmleye.ExcepcionAnalisis;
import es.uca.xmleye.presentacion.ModPresentacionDocumento;
import es.uca.xmleye.presentacion.ModPresentacionVentanaPrincipal;

class TabDocumento extends TitledTab {
	private static final long serialVersionUID = 4796375771223163770L;
	
	// Fichero abierto al que se corresponde
	private File fichero;
	private ModPresentacionVentanaPrincipal modVentana;
	private VistaDocumento vistaDoc;

	public TabDocumento(File fichero, ModPresentacionVentanaPrincipal modVentana)
			throws ExcepcionAnalisis {
		super(fichero.getName(), null, new VistaDocumento(), null);

		this.vistaDoc   = (VistaDocumento) getContentComponent();
		this.fichero    = fichero;
		this.modVentana = modVentana;
	}
	
	public File getFichero() {
		return fichero;
	}

	public ModPresentacionDocumento getModPresentacionDocumento() {
		return modVentana.getModeloDocumento(fichero);
	}

	public void sincronizar() {
		vistaDoc.sincronizar(getModPresentacionDocumento());
	}

	public VistaDocumento getVista() {
		return vistaDoc;
	}
}
